IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network56.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
- Network address
56.0.0.0- Broadcast address
57.255.255.255- First usable
56.0.0.1- Last usable
57.255.255.254- Usable hosts
- 33,554,430 (33,554,432 less the network and broadcast addresses)
- Subnet mask
254.0.0.0- Wildcard mask
1.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /7
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
38000000· Integer939524096to973078527 - Reverse DNS zones
56.in-addr.arpa57.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00111000.00000000.00000000.00000000 | 56.0.0.0 |
| Subnet mask | 11111110.00000000.00000000.00000000 | 254.0.0.0 |
| Network | 00111000.00000000.00000000.00000000 | 56.0.0.0 |
| Broadcast | 00111001.11111111.11111111.11111111 | 57.255.255.255 |
Split into smaller subnets
/8 (2)/9 (4)/10 (8)/11 (16)/12 (32)/13 (64)/14 (128)/15 (256)/16 (512)/17 (1,024)/18 (2,048)/19 (4,096)
56.0.0.0/7 makes 256 subnets of /15.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 56.0.0.0/15 | 56.0.0.1 to 56.1.255.254 | 56.1.255.255 | 131,070 |
| 2 | 56.2.0.0/15 | 56.2.0.1 to 56.3.255.254 | 56.3.255.255 | 131,070 |
| 3 | 56.4.0.0/15 | 56.4.0.1 to 56.5.255.254 | 56.5.255.255 | 131,070 |
| 4 | 56.6.0.0/15 | 56.6.0.1 to 56.7.255.254 | 56.7.255.255 | 131,070 |
| 5 | 56.8.0.0/15 | 56.8.0.1 to 56.9.255.254 | 56.9.255.255 | 131,070 |
| 6 | 56.10.0.0/15 | 56.10.0.1 to 56.11.255.254 | 56.11.255.255 | 131,070 |
| 7 | 56.12.0.0/15 | 56.12.0.1 to 56.13.255.254 | 56.13.255.255 | 131,070 |
| 8 | 56.14.0.0/15 | 56.14.0.1 to 56.15.255.254 | 56.15.255.255 | 131,070 |
| 9 | 56.16.0.0/15 | 56.16.0.1 to 56.17.255.254 | 56.17.255.255 | 131,070 |
| 10 | 56.18.0.0/15 | 56.18.0.1 to 56.19.255.254 | 56.19.255.255 | 131,070 |
| 11 | 56.20.0.0/15 | 56.20.0.1 to 56.21.255.254 | 56.21.255.255 | 131,070 |
| 12 | 56.22.0.0/15 | 56.22.0.1 to 56.23.255.254 | 56.23.255.255 | 131,070 |
| 13 | 56.24.0.0/15 | 56.24.0.1 to 56.25.255.254 | 56.25.255.255 | 131,070 |
| 14 | 56.26.0.0/15 | 56.26.0.1 to 56.27.255.254 | 56.27.255.255 | 131,070 |
| 15 | 56.28.0.0/15 | 56.28.0.1 to 56.29.255.254 | 56.29.255.255 | 131,070 |
| 16 | 56.30.0.0/15 | 56.30.0.1 to 56.31.255.254 | 56.31.255.255 | 131,070 |
| 17 | 56.32.0.0/15 | 56.32.0.1 to 56.33.255.254 | 56.33.255.255 | 131,070 |
| 18 | 56.34.0.0/15 | 56.34.0.1 to 56.35.255.254 | 56.35.255.255 | 131,070 |
| 19 | 56.36.0.0/15 | 56.36.0.1 to 56.37.255.254 | 56.37.255.255 | 131,070 |
| 20 | 56.38.0.0/15 | 56.38.0.1 to 56.39.255.254 | 56.39.255.255 | 131,070 |
| 21 | 56.40.0.0/15 | 56.40.0.1 to 56.41.255.254 | 56.41.255.255 | 131,070 |
| 22 | 56.42.0.0/15 | 56.42.0.1 to 56.43.255.254 | 56.43.255.255 | 131,070 |
| 23 | 56.44.0.0/15 | 56.44.0.1 to 56.45.255.254 | 56.45.255.255 | 131,070 |
| 24 | 56.46.0.0/15 | 56.46.0.1 to 56.47.255.254 | 56.47.255.255 | 131,070 |
| 25 | 56.48.0.0/15 | 56.48.0.1 to 56.49.255.254 | 56.49.255.255 | 131,070 |
| 26 | 56.50.0.0/15 | 56.50.0.1 to 56.51.255.254 | 56.51.255.255 | 131,070 |
| 27 | 56.52.0.0/15 | 56.52.0.1 to 56.53.255.254 | 56.53.255.255 | 131,070 |
| 28 | 56.54.0.0/15 | 56.54.0.1 to 56.55.255.254 | 56.55.255.255 | 131,070 |
| 29 | 56.56.0.0/15 | 56.56.0.1 to 56.57.255.254 | 56.57.255.255 | 131,070 |
| 30 | 56.58.0.0/15 | 56.58.0.1 to 56.59.255.254 | 56.59.255.255 | 131,070 |
| 31 | 56.60.0.0/15 | 56.60.0.1 to 56.61.255.254 | 56.61.255.255 | 131,070 |
| 32 | 56.62.0.0/15 | 56.62.0.1 to 56.63.255.254 | 56.63.255.255 | 131,070 |
| 33 | 56.64.0.0/15 | 56.64.0.1 to 56.65.255.254 | 56.65.255.255 | 131,070 |
| 34 | 56.66.0.0/15 | 56.66.0.1 to 56.67.255.254 | 56.67.255.255 | 131,070 |
| 35 | 56.68.0.0/15 | 56.68.0.1 to 56.69.255.254 | 56.69.255.255 | 131,070 |
| 36 | 56.70.0.0/15 | 56.70.0.1 to 56.71.255.254 | 56.71.255.255 | 131,070 |
| 37 | 56.72.0.0/15 | 56.72.0.1 to 56.73.255.254 | 56.73.255.255 | 131,070 |
| 38 | 56.74.0.0/15 | 56.74.0.1 to 56.75.255.254 | 56.75.255.255 | 131,070 |
| 39 | 56.76.0.0/15 | 56.76.0.1 to 56.77.255.254 | 56.77.255.255 | 131,070 |
| 40 | 56.78.0.0/15 | 56.78.0.1 to 56.79.255.254 | 56.79.255.255 | 131,070 |
| 41 | 56.80.0.0/15 | 56.80.0.1 to 56.81.255.254 | 56.81.255.255 | 131,070 |
| 42 | 56.82.0.0/15 | 56.82.0.1 to 56.83.255.254 | 56.83.255.255 | 131,070 |
| 43 | 56.84.0.0/15 | 56.84.0.1 to 56.85.255.254 | 56.85.255.255 | 131,070 |
| 44 | 56.86.0.0/15 | 56.86.0.1 to 56.87.255.254 | 56.87.255.255 | 131,070 |
| 45 | 56.88.0.0/15 | 56.88.0.1 to 56.89.255.254 | 56.89.255.255 | 131,070 |
| 46 | 56.90.0.0/15 | 56.90.0.1 to 56.91.255.254 | 56.91.255.255 | 131,070 |
| 47 | 56.92.0.0/15 | 56.92.0.1 to 56.93.255.254 | 56.93.255.255 | 131,070 |
| 48 | 56.94.0.0/15 | 56.94.0.1 to 56.95.255.254 | 56.95.255.255 | 131,070 |
| 49 | 56.96.0.0/15 | 56.96.0.1 to 56.97.255.254 | 56.97.255.255 | 131,070 |
| 50 | 56.98.0.0/15 | 56.98.0.1 to 56.99.255.254 | 56.99.255.255 | 131,070 |
| 51 | 56.100.0.0/15 | 56.100.0.1 to 56.101.255.254 | 56.101.255.255 | 131,070 |
| 52 | 56.102.0.0/15 | 56.102.0.1 to 56.103.255.254 | 56.103.255.255 | 131,070 |
| 53 | 56.104.0.0/15 | 56.104.0.1 to 56.105.255.254 | 56.105.255.255 | 131,070 |
| 54 | 56.106.0.0/15 | 56.106.0.1 to 56.107.255.254 | 56.107.255.255 | 131,070 |
| 55 | 56.108.0.0/15 | 56.108.0.1 to 56.109.255.254 | 56.109.255.255 | 131,070 |
| 56 | 56.110.0.0/15 | 56.110.0.1 to 56.111.255.254 | 56.111.255.255 | 131,070 |
| 57 | 56.112.0.0/15 | 56.112.0.1 to 56.113.255.254 | 56.113.255.255 | 131,070 |
| 58 | 56.114.0.0/15 | 56.114.0.1 to 56.115.255.254 | 56.115.255.255 | 131,070 |
| 59 | 56.116.0.0/15 | 56.116.0.1 to 56.117.255.254 | 56.117.255.255 | 131,070 |
| 60 | 56.118.0.0/15 | 56.118.0.1 to 56.119.255.254 | 56.119.255.255 | 131,070 |
| 61 | 56.120.0.0/15 | 56.120.0.1 to 56.121.255.254 | 56.121.255.255 | 131,070 |
| 62 | 56.122.0.0/15 | 56.122.0.1 to 56.123.255.254 | 56.123.255.255 | 131,070 |
| 63 | 56.124.0.0/15 | 56.124.0.1 to 56.125.255.254 | 56.125.255.255 | 131,070 |
| 64 | 56.126.0.0/15 | 56.126.0.1 to 56.127.255.254 | 56.127.255.255 | 131,070 |
| 65 | 56.128.0.0/15 | 56.128.0.1 to 56.129.255.254 | 56.129.255.255 | 131,070 |
| 66 | 56.130.0.0/15 | 56.130.0.1 to 56.131.255.254 | 56.131.255.255 | 131,070 |
| 67 | 56.132.0.0/15 | 56.132.0.1 to 56.133.255.254 | 56.133.255.255 | 131,070 |
| 68 | 56.134.0.0/15 | 56.134.0.1 to 56.135.255.254 | 56.135.255.255 | 131,070 |
| 69 | 56.136.0.0/15 | 56.136.0.1 to 56.137.255.254 | 56.137.255.255 | 131,070 |
| 70 | 56.138.0.0/15 | 56.138.0.1 to 56.139.255.254 | 56.139.255.255 | 131,070 |
| 71 | 56.140.0.0/15 | 56.140.0.1 to 56.141.255.254 | 56.141.255.255 | 131,070 |
| 72 | 56.142.0.0/15 | 56.142.0.1 to 56.143.255.254 | 56.143.255.255 | 131,070 |
| 73 | 56.144.0.0/15 | 56.144.0.1 to 56.145.255.254 | 56.145.255.255 | 131,070 |
| 74 | 56.146.0.0/15 | 56.146.0.1 to 56.147.255.254 | 56.147.255.255 | 131,070 |
| 75 | 56.148.0.0/15 | 56.148.0.1 to 56.149.255.254 | 56.149.255.255 | 131,070 |
| 76 | 56.150.0.0/15 | 56.150.0.1 to 56.151.255.254 | 56.151.255.255 | 131,070 |
| 77 | 56.152.0.0/15 | 56.152.0.1 to 56.153.255.254 | 56.153.255.255 | 131,070 |
| 78 | 56.154.0.0/15 | 56.154.0.1 to 56.155.255.254 | 56.155.255.255 | 131,070 |
| 79 | 56.156.0.0/15 | 56.156.0.1 to 56.157.255.254 | 56.157.255.255 | 131,070 |
| 80 | 56.158.0.0/15 | 56.158.0.1 to 56.159.255.254 | 56.159.255.255 | 131,070 |
| 81 | 56.160.0.0/15 | 56.160.0.1 to 56.161.255.254 | 56.161.255.255 | 131,070 |
| 82 | 56.162.0.0/15 | 56.162.0.1 to 56.163.255.254 | 56.163.255.255 | 131,070 |
| 83 | 56.164.0.0/15 | 56.164.0.1 to 56.165.255.254 | 56.165.255.255 | 131,070 |
| 84 | 56.166.0.0/15 | 56.166.0.1 to 56.167.255.254 | 56.167.255.255 | 131,070 |
| 85 | 56.168.0.0/15 | 56.168.0.1 to 56.169.255.254 | 56.169.255.255 | 131,070 |
| 86 | 56.170.0.0/15 | 56.170.0.1 to 56.171.255.254 | 56.171.255.255 | 131,070 |
| 87 | 56.172.0.0/15 | 56.172.0.1 to 56.173.255.254 | 56.173.255.255 | 131,070 |
| 88 | 56.174.0.0/15 | 56.174.0.1 to 56.175.255.254 | 56.175.255.255 | 131,070 |
| 89 | 56.176.0.0/15 | 56.176.0.1 to 56.177.255.254 | 56.177.255.255 | 131,070 |
| 90 | 56.178.0.0/15 | 56.178.0.1 to 56.179.255.254 | 56.179.255.255 | 131,070 |
| 91 | 56.180.0.0/15 | 56.180.0.1 to 56.181.255.254 | 56.181.255.255 | 131,070 |
| 92 | 56.182.0.0/15 | 56.182.0.1 to 56.183.255.254 | 56.183.255.255 | 131,070 |
| 93 | 56.184.0.0/15 | 56.184.0.1 to 56.185.255.254 | 56.185.255.255 | 131,070 |
| 94 | 56.186.0.0/15 | 56.186.0.1 to 56.187.255.254 | 56.187.255.255 | 131,070 |
| 95 | 56.188.0.0/15 | 56.188.0.1 to 56.189.255.254 | 56.189.255.255 | 131,070 |
| 96 | 56.190.0.0/15 | 56.190.0.1 to 56.191.255.254 | 56.191.255.255 | 131,070 |
| 97 | 56.192.0.0/15 | 56.192.0.1 to 56.193.255.254 | 56.193.255.255 | 131,070 |
| 98 | 56.194.0.0/15 | 56.194.0.1 to 56.195.255.254 | 56.195.255.255 | 131,070 |
| 99 | 56.196.0.0/15 | 56.196.0.1 to 56.197.255.254 | 56.197.255.255 | 131,070 |
| 100 | 56.198.0.0/15 | 56.198.0.1 to 56.199.255.254 | 56.199.255.255 | 131,070 |
| 101 | 56.200.0.0/15 | 56.200.0.1 to 56.201.255.254 | 56.201.255.255 | 131,070 |
| 102 | 56.202.0.0/15 | 56.202.0.1 to 56.203.255.254 | 56.203.255.255 | 131,070 |
| 103 | 56.204.0.0/15 | 56.204.0.1 to 56.205.255.254 | 56.205.255.255 | 131,070 |
| 104 | 56.206.0.0/15 | 56.206.0.1 to 56.207.255.254 | 56.207.255.255 | 131,070 |
| 105 | 56.208.0.0/15 | 56.208.0.1 to 56.209.255.254 | 56.209.255.255 | 131,070 |
| 106 | 56.210.0.0/15 | 56.210.0.1 to 56.211.255.254 | 56.211.255.255 | 131,070 |
| 107 | 56.212.0.0/15 | 56.212.0.1 to 56.213.255.254 | 56.213.255.255 | 131,070 |
| 108 | 56.214.0.0/15 | 56.214.0.1 to 56.215.255.254 | 56.215.255.255 | 131,070 |
| 109 | 56.216.0.0/15 | 56.216.0.1 to 56.217.255.254 | 56.217.255.255 | 131,070 |
| 110 | 56.218.0.0/15 | 56.218.0.1 to 56.219.255.254 | 56.219.255.255 | 131,070 |
| 111 | 56.220.0.0/15 | 56.220.0.1 to 56.221.255.254 | 56.221.255.255 | 131,070 |
| 112 | 56.222.0.0/15 | 56.222.0.1 to 56.223.255.254 | 56.223.255.255 | 131,070 |
| 113 | 56.224.0.0/15 | 56.224.0.1 to 56.225.255.254 | 56.225.255.255 | 131,070 |
| 114 | 56.226.0.0/15 | 56.226.0.1 to 56.227.255.254 | 56.227.255.255 | 131,070 |
| 115 | 56.228.0.0/15 | 56.228.0.1 to 56.229.255.254 | 56.229.255.255 | 131,070 |
| 116 | 56.230.0.0/15 | 56.230.0.1 to 56.231.255.254 | 56.231.255.255 | 131,070 |
| 117 | 56.232.0.0/15 | 56.232.0.1 to 56.233.255.254 | 56.233.255.255 | 131,070 |
| 118 | 56.234.0.0/15 | 56.234.0.1 to 56.235.255.254 | 56.235.255.255 | 131,070 |
| 119 | 56.236.0.0/15 | 56.236.0.1 to 56.237.255.254 | 56.237.255.255 | 131,070 |
| 120 | 56.238.0.0/15 | 56.238.0.1 to 56.239.255.254 | 56.239.255.255 | 131,070 |
| 121 | 56.240.0.0/15 | 56.240.0.1 to 56.241.255.254 | 56.241.255.255 | 131,070 |
| 122 | 56.242.0.0/15 | 56.242.0.1 to 56.243.255.254 | 56.243.255.255 | 131,070 |
| 123 | 56.244.0.0/15 | 56.244.0.1 to 56.245.255.254 | 56.245.255.255 | 131,070 |
| 124 | 56.246.0.0/15 | 56.246.0.1 to 56.247.255.254 | 56.247.255.255 | 131,070 |
| 125 | 56.248.0.0/15 | 56.248.0.1 to 56.249.255.254 | 56.249.255.255 | 131,070 |
| 126 | 56.250.0.0/15 | 56.250.0.1 to 56.251.255.254 | 56.251.255.255 | 131,070 |
| 127 | 56.252.0.0/15 | 56.252.0.1 to 56.253.255.254 | 56.253.255.255 | 131,070 |
| 128 | 56.254.0.0/15 | 56.254.0.1 to 56.255.255.254 | 56.255.255.255 | 131,070 |
| 129 | 57.0.0.0/15 | 57.0.0.1 to 57.1.255.254 | 57.1.255.255 | 131,070 |
| 130 | 57.2.0.0/15 | 57.2.0.1 to 57.3.255.254 | 57.3.255.255 | 131,070 |
| 131 | 57.4.0.0/15 | 57.4.0.1 to 57.5.255.254 | 57.5.255.255 | 131,070 |
| 132 | 57.6.0.0/15 | 57.6.0.1 to 57.7.255.254 | 57.7.255.255 | 131,070 |
| 133 | 57.8.0.0/15 | 57.8.0.1 to 57.9.255.254 | 57.9.255.255 | 131,070 |
| 134 | 57.10.0.0/15 | 57.10.0.1 to 57.11.255.254 | 57.11.255.255 | 131,070 |
| 135 | 57.12.0.0/15 | 57.12.0.1 to 57.13.255.254 | 57.13.255.255 | 131,070 |
| 136 | 57.14.0.0/15 | 57.14.0.1 to 57.15.255.254 | 57.15.255.255 | 131,070 |
| 137 | 57.16.0.0/15 | 57.16.0.1 to 57.17.255.254 | 57.17.255.255 | 131,070 |
| 138 | 57.18.0.0/15 | 57.18.0.1 to 57.19.255.254 | 57.19.255.255 | 131,070 |
| 139 | 57.20.0.0/15 | 57.20.0.1 to 57.21.255.254 | 57.21.255.255 | 131,070 |
| 140 | 57.22.0.0/15 | 57.22.0.1 to 57.23.255.254 | 57.23.255.255 | 131,070 |
| 141 | 57.24.0.0/15 | 57.24.0.1 to 57.25.255.254 | 57.25.255.255 | 131,070 |
| 142 | 57.26.0.0/15 | 57.26.0.1 to 57.27.255.254 | 57.27.255.255 | 131,070 |
| 143 | 57.28.0.0/15 | 57.28.0.1 to 57.29.255.254 | 57.29.255.255 | 131,070 |
| 144 | 57.30.0.0/15 | 57.30.0.1 to 57.31.255.254 | 57.31.255.255 | 131,070 |
| 145 | 57.32.0.0/15 | 57.32.0.1 to 57.33.255.254 | 57.33.255.255 | 131,070 |
| 146 | 57.34.0.0/15 | 57.34.0.1 to 57.35.255.254 | 57.35.255.255 | 131,070 |
| 147 | 57.36.0.0/15 | 57.36.0.1 to 57.37.255.254 | 57.37.255.255 | 131,070 |
| 148 | 57.38.0.0/15 | 57.38.0.1 to 57.39.255.254 | 57.39.255.255 | 131,070 |
| 149 | 57.40.0.0/15 | 57.40.0.1 to 57.41.255.254 | 57.41.255.255 | 131,070 |
| 150 | 57.42.0.0/15 | 57.42.0.1 to 57.43.255.254 | 57.43.255.255 | 131,070 |
| 151 | 57.44.0.0/15 | 57.44.0.1 to 57.45.255.254 | 57.45.255.255 | 131,070 |
| 152 | 57.46.0.0/15 | 57.46.0.1 to 57.47.255.254 | 57.47.255.255 | 131,070 |
| 153 | 57.48.0.0/15 | 57.48.0.1 to 57.49.255.254 | 57.49.255.255 | 131,070 |
| 154 | 57.50.0.0/15 | 57.50.0.1 to 57.51.255.254 | 57.51.255.255 | 131,070 |
| 155 | 57.52.0.0/15 | 57.52.0.1 to 57.53.255.254 | 57.53.255.255 | 131,070 |
| 156 | 57.54.0.0/15 | 57.54.0.1 to 57.55.255.254 | 57.55.255.255 | 131,070 |
| 157 | 57.56.0.0/15 | 57.56.0.1 to 57.57.255.254 | 57.57.255.255 | 131,070 |
| 158 | 57.58.0.0/15 | 57.58.0.1 to 57.59.255.254 | 57.59.255.255 | 131,070 |
| 159 | 57.60.0.0/15 | 57.60.0.1 to 57.61.255.254 | 57.61.255.255 | 131,070 |
| 160 | 57.62.0.0/15 | 57.62.0.1 to 57.63.255.254 | 57.63.255.255 | 131,070 |
| 161 | 57.64.0.0/15 | 57.64.0.1 to 57.65.255.254 | 57.65.255.255 | 131,070 |
| 162 | 57.66.0.0/15 | 57.66.0.1 to 57.67.255.254 | 57.67.255.255 | 131,070 |
| 163 | 57.68.0.0/15 | 57.68.0.1 to 57.69.255.254 | 57.69.255.255 | 131,070 |
| 164 | 57.70.0.0/15 | 57.70.0.1 to 57.71.255.254 | 57.71.255.255 | 131,070 |
| 165 | 57.72.0.0/15 | 57.72.0.1 to 57.73.255.254 | 57.73.255.255 | 131,070 |
| 166 | 57.74.0.0/15 | 57.74.0.1 to 57.75.255.254 | 57.75.255.255 | 131,070 |
| 167 | 57.76.0.0/15 | 57.76.0.1 to 57.77.255.254 | 57.77.255.255 | 131,070 |
| 168 | 57.78.0.0/15 | 57.78.0.1 to 57.79.255.254 | 57.79.255.255 | 131,070 |
| 169 | 57.80.0.0/15 | 57.80.0.1 to 57.81.255.254 | 57.81.255.255 | 131,070 |
| 170 | 57.82.0.0/15 | 57.82.0.1 to 57.83.255.254 | 57.83.255.255 | 131,070 |
| 171 | 57.84.0.0/15 | 57.84.0.1 to 57.85.255.254 | 57.85.255.255 | 131,070 |
| 172 | 57.86.0.0/15 | 57.86.0.1 to 57.87.255.254 | 57.87.255.255 | 131,070 |
| 173 | 57.88.0.0/15 | 57.88.0.1 to 57.89.255.254 | 57.89.255.255 | 131,070 |
| 174 | 57.90.0.0/15 | 57.90.0.1 to 57.91.255.254 | 57.91.255.255 | 131,070 |
| 175 | 57.92.0.0/15 | 57.92.0.1 to 57.93.255.254 | 57.93.255.255 | 131,070 |
| 176 | 57.94.0.0/15 | 57.94.0.1 to 57.95.255.254 | 57.95.255.255 | 131,070 |
| 177 | 57.96.0.0/15 | 57.96.0.1 to 57.97.255.254 | 57.97.255.255 | 131,070 |
| 178 | 57.98.0.0/15 | 57.98.0.1 to 57.99.255.254 | 57.99.255.255 | 131,070 |
| 179 | 57.100.0.0/15 | 57.100.0.1 to 57.101.255.254 | 57.101.255.255 | 131,070 |
| 180 | 57.102.0.0/15 | 57.102.0.1 to 57.103.255.254 | 57.103.255.255 | 131,070 |
| 181 | 57.104.0.0/15 | 57.104.0.1 to 57.105.255.254 | 57.105.255.255 | 131,070 |
| 182 | 57.106.0.0/15 | 57.106.0.1 to 57.107.255.254 | 57.107.255.255 | 131,070 |
| 183 | 57.108.0.0/15 | 57.108.0.1 to 57.109.255.254 | 57.109.255.255 | 131,070 |
| 184 | 57.110.0.0/15 | 57.110.0.1 to 57.111.255.254 | 57.111.255.255 | 131,070 |
| 185 | 57.112.0.0/15 | 57.112.0.1 to 57.113.255.254 | 57.113.255.255 | 131,070 |
| 186 | 57.114.0.0/15 | 57.114.0.1 to 57.115.255.254 | 57.115.255.255 | 131,070 |
| 187 | 57.116.0.0/15 | 57.116.0.1 to 57.117.255.254 | 57.117.255.255 | 131,070 |
| 188 | 57.118.0.0/15 | 57.118.0.1 to 57.119.255.254 | 57.119.255.255 | 131,070 |
| 189 | 57.120.0.0/15 | 57.120.0.1 to 57.121.255.254 | 57.121.255.255 | 131,070 |
| 190 | 57.122.0.0/15 | 57.122.0.1 to 57.123.255.254 | 57.123.255.255 | 131,070 |
| 191 | 57.124.0.0/15 | 57.124.0.1 to 57.125.255.254 | 57.125.255.255 | 131,070 |
| 192 | 57.126.0.0/15 | 57.126.0.1 to 57.127.255.254 | 57.127.255.255 | 131,070 |
| 193 | 57.128.0.0/15 | 57.128.0.1 to 57.129.255.254 | 57.129.255.255 | 131,070 |
| 194 | 57.130.0.0/15 | 57.130.0.1 to 57.131.255.254 | 57.131.255.255 | 131,070 |
| 195 | 57.132.0.0/15 | 57.132.0.1 to 57.133.255.254 | 57.133.255.255 | 131,070 |
| 196 | 57.134.0.0/15 | 57.134.0.1 to 57.135.255.254 | 57.135.255.255 | 131,070 |
| 197 | 57.136.0.0/15 | 57.136.0.1 to 57.137.255.254 | 57.137.255.255 | 131,070 |
| 198 | 57.138.0.0/15 | 57.138.0.1 to 57.139.255.254 | 57.139.255.255 | 131,070 |
| 199 | 57.140.0.0/15 | 57.140.0.1 to 57.141.255.254 | 57.141.255.255 | 131,070 |
| 200 | 57.142.0.0/15 | 57.142.0.1 to 57.143.255.254 | 57.143.255.255 | 131,070 |
| 201 | 57.144.0.0/15 | 57.144.0.1 to 57.145.255.254 | 57.145.255.255 | 131,070 |
| 202 | 57.146.0.0/15 | 57.146.0.1 to 57.147.255.254 | 57.147.255.255 | 131,070 |
| 203 | 57.148.0.0/15 | 57.148.0.1 to 57.149.255.254 | 57.149.255.255 | 131,070 |
| 204 | 57.150.0.0/15 | 57.150.0.1 to 57.151.255.254 | 57.151.255.255 | 131,070 |
| 205 | 57.152.0.0/15 | 57.152.0.1 to 57.153.255.254 | 57.153.255.255 | 131,070 |
| 206 | 57.154.0.0/15 | 57.154.0.1 to 57.155.255.254 | 57.155.255.255 | 131,070 |
| 207 | 57.156.0.0/15 | 57.156.0.1 to 57.157.255.254 | 57.157.255.255 | 131,070 |
| 208 | 57.158.0.0/15 | 57.158.0.1 to 57.159.255.254 | 57.159.255.255 | 131,070 |
| 209 | 57.160.0.0/15 | 57.160.0.1 to 57.161.255.254 | 57.161.255.255 | 131,070 |
| 210 | 57.162.0.0/15 | 57.162.0.1 to 57.163.255.254 | 57.163.255.255 | 131,070 |
| 211 | 57.164.0.0/15 | 57.164.0.1 to 57.165.255.254 | 57.165.255.255 | 131,070 |
| 212 | 57.166.0.0/15 | 57.166.0.1 to 57.167.255.254 | 57.167.255.255 | 131,070 |
| 213 | 57.168.0.0/15 | 57.168.0.1 to 57.169.255.254 | 57.169.255.255 | 131,070 |
| 214 | 57.170.0.0/15 | 57.170.0.1 to 57.171.255.254 | 57.171.255.255 | 131,070 |
| 215 | 57.172.0.0/15 | 57.172.0.1 to 57.173.255.254 | 57.173.255.255 | 131,070 |
| 216 | 57.174.0.0/15 | 57.174.0.1 to 57.175.255.254 | 57.175.255.255 | 131,070 |
| 217 | 57.176.0.0/15 | 57.176.0.1 to 57.177.255.254 | 57.177.255.255 | 131,070 |
| 218 | 57.178.0.0/15 | 57.178.0.1 to 57.179.255.254 | 57.179.255.255 | 131,070 |
| 219 | 57.180.0.0/15 | 57.180.0.1 to 57.181.255.254 | 57.181.255.255 | 131,070 |
| 220 | 57.182.0.0/15 | 57.182.0.1 to 57.183.255.254 | 57.183.255.255 | 131,070 |
| 221 | 57.184.0.0/15 | 57.184.0.1 to 57.185.255.254 | 57.185.255.255 | 131,070 |
| 222 | 57.186.0.0/15 | 57.186.0.1 to 57.187.255.254 | 57.187.255.255 | 131,070 |
| 223 | 57.188.0.0/15 | 57.188.0.1 to 57.189.255.254 | 57.189.255.255 | 131,070 |
| 224 | 57.190.0.0/15 | 57.190.0.1 to 57.191.255.254 | 57.191.255.255 | 131,070 |
| 225 | 57.192.0.0/15 | 57.192.0.1 to 57.193.255.254 | 57.193.255.255 | 131,070 |
| 226 | 57.194.0.0/15 | 57.194.0.1 to 57.195.255.254 | 57.195.255.255 | 131,070 |
| 227 | 57.196.0.0/15 | 57.196.0.1 to 57.197.255.254 | 57.197.255.255 | 131,070 |
| 228 | 57.198.0.0/15 | 57.198.0.1 to 57.199.255.254 | 57.199.255.255 | 131,070 |
| 229 | 57.200.0.0/15 | 57.200.0.1 to 57.201.255.254 | 57.201.255.255 | 131,070 |
| 230 | 57.202.0.0/15 | 57.202.0.1 to 57.203.255.254 | 57.203.255.255 | 131,070 |
| 231 | 57.204.0.0/15 | 57.204.0.1 to 57.205.255.254 | 57.205.255.255 | 131,070 |
| 232 | 57.206.0.0/15 | 57.206.0.1 to 57.207.255.254 | 57.207.255.255 | 131,070 |
| 233 | 57.208.0.0/15 | 57.208.0.1 to 57.209.255.254 | 57.209.255.255 | 131,070 |
| 234 | 57.210.0.0/15 | 57.210.0.1 to 57.211.255.254 | 57.211.255.255 | 131,070 |
| 235 | 57.212.0.0/15 | 57.212.0.1 to 57.213.255.254 | 57.213.255.255 | 131,070 |
| 236 | 57.214.0.0/15 | 57.214.0.1 to 57.215.255.254 | 57.215.255.255 | 131,070 |
| 237 | 57.216.0.0/15 | 57.216.0.1 to 57.217.255.254 | 57.217.255.255 | 131,070 |
| 238 | 57.218.0.0/15 | 57.218.0.1 to 57.219.255.254 | 57.219.255.255 | 131,070 |
| 239 | 57.220.0.0/15 | 57.220.0.1 to 57.221.255.254 | 57.221.255.255 | 131,070 |
| 240 | 57.222.0.0/15 | 57.222.0.1 to 57.223.255.254 | 57.223.255.255 | 131,070 |
| 241 | 57.224.0.0/15 | 57.224.0.1 to 57.225.255.254 | 57.225.255.255 | 131,070 |
| 242 | 57.226.0.0/15 | 57.226.0.1 to 57.227.255.254 | 57.227.255.255 | 131,070 |
| 243 | 57.228.0.0/15 | 57.228.0.1 to 57.229.255.254 | 57.229.255.255 | 131,070 |
| 244 | 57.230.0.0/15 | 57.230.0.1 to 57.231.255.254 | 57.231.255.255 | 131,070 |
| 245 | 57.232.0.0/15 | 57.232.0.1 to 57.233.255.254 | 57.233.255.255 | 131,070 |
| 246 | 57.234.0.0/15 | 57.234.0.1 to 57.235.255.254 | 57.235.255.255 | 131,070 |
| 247 | 57.236.0.0/15 | 57.236.0.1 to 57.237.255.254 | 57.237.255.255 | 131,070 |
| 248 | 57.238.0.0/15 | 57.238.0.1 to 57.239.255.254 | 57.239.255.255 | 131,070 |
| 249 | 57.240.0.0/15 | 57.240.0.1 to 57.241.255.254 | 57.241.255.255 | 131,070 |
| 250 | 57.242.0.0/15 | 57.242.0.1 to 57.243.255.254 | 57.243.255.255 | 131,070 |
| 251 | 57.244.0.0/15 | 57.244.0.1 to 57.245.255.254 | 57.245.255.255 | 131,070 |
| 252 | 57.246.0.0/15 | 57.246.0.1 to 57.247.255.254 | 57.247.255.255 | 131,070 |
| 253 | 57.248.0.0/15 | 57.248.0.1 to 57.249.255.254 | 57.249.255.255 | 131,070 |
| 254 | 57.250.0.0/15 | 57.250.0.1 to 57.251.255.254 | 57.251.255.255 | 131,070 |
| 255 | 57.252.0.0/15 | 57.252.0.1 to 57.253.255.254 | 57.253.255.255 | 131,070 |
| 256 | 57.254.0.0/15 | 57.254.0.1 to 57.255.255.254 | 57.255.255.255 | 131,070 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |